summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-07-25 16:31:53 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-07-25 16:32:21 +0200
commit4374b1b9104bbdbbe1c3f342ed478d167594f251 (patch)
tree935dd6e50dddee7b7fc67b2f314a8862ee405109
parentapp-portage/gverify: Fix missing PYTHON_REQUIRED_USE (diff)
downloadgentoo-4374b1b9104bbdbbe1c3f342ed478d167594f251.tar.gz
gentoo-4374b1b9104bbdbbe1c3f342ed478d167594f251.tar.bz2
gentoo-4374b1b9104bbdbbe1c3f342ed478d167594f251.zip
app-admin/gkrellm: Bump to version 2.3.11
Closes: https://bugs.gentoo.org/685720 Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--app-admin/gkrellm/Manifest1
-rw-r--r--app-admin/gkrellm/gkrellm-2.3.11.ebuild150
2 files changed, 151 insertions, 0 deletions
diff --git a/app-admin/gkrellm/Manifest b/app-admin/gkrellm/Manifest
index 1b3957cf688..c4049b61fdd 100644
--- a/app-admin/gkrellm/Manifest
+++ b/app-admin/gkrellm/Manifest
@@ -1 +1,2 @@
DIST gkrellm-2.3.10.tar.bz2 782794 BLAKE2B c0aac7df866d40c79667551ca4b25346da4267a0aad8853776425a08097dcfe3a24082e7e5d17db6d3936b59d10c29afa11e8a425319c19696141c02f7d95f25 SHA512 3ae0baa0d51729e1bac7b8f10e008bd7ed9d93d48cd894630e3a027565266e6458df0dcb3171fb271ca7766f4030149e3e6aa234ec191e8e223ae4dee1feb295
+DIST gkrellm-2.3.11.tar.bz2 783123 BLAKE2B b68c60477e4994e9508a8e5ea39fd09ab5cf0f019fc6b4567b9482b3b1fd315dd2548daed262095b42dda43ac068295d5c3c375c5cb80c91fda76ef8b9834df2 SHA512 e4147aa90e09925b9672728f287880bde26632d77d83d3f0b9458a201593a57158d9eb8cbb31e569e0d71d91a08c9bceba29814f59e542315775663ef9fd27a9
diff --git a/app-admin/gkrellm/gkrellm-2.3.11.ebuild b/app-admin/gkrellm/gkrellm-2.3.11.ebuild
new file mode 100644
index 00000000000..d205ffcda8a
--- /dev/null
+++ b/app-admin/gkrellm/gkrellm-2.3.11.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop multilib user systemd toolchain-funcs
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="Single process stack of various system monitors"
+HOMEPAGE="http://www.gkrellm.net/"
+if [[ "${PV}" == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.srcbox.net/gkrellm"
+else
+ SRC_URI="http://gkrellm.srcbox.net/${MY_P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+fi
+LICENSE="GPL-3"
+SLOT="2"
+IUSE="gnutls hddtemp libressl lm_sensors nls ntlm ssl kernel_FreeBSD X"
+
+RDEPEND="
+ dev-libs/glib:2
+ hddtemp? ( app-admin/hddtemp )
+ ssl? (
+ gnutls? ( net-libs/gnutls )
+ !gnutls? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+ )
+ lm_sensors? ( sys-apps/lm_sensors:= )
+ nls? ( virtual/libintl )
+ ntlm? ( net-libs/libntlm )
+ X? (
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/pango
+ )"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.3.5-config.patch
+ "${FILESDIR}"/${PN}-2.3.5-width.patch
+ "${FILESDIR}"/${PN}-2.3.5-sansfont.patch
+)
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( Changelog CREDITS README )
+
+pkg_pretend() {
+ if use gnutls && ! use ssl ; then
+ ewarn "You have enabled the \"gnutls\" USE flag but not the \"ssl\" USE flag."
+ ewarn "No ssl backend will be built!"
+ fi
+}
+
+pkg_setup() {
+ TARGET=
+ use kernel_FreeBSD && TARGET="freebsd"
+}
+
+src_prepare() {
+ sed -e 's:-O2 ::' \
+ -e 's:override CC:CFLAGS:' \
+ -e 's:-L/usr/X11R6/lib::' \
+ -i */Makefile || die "sed Makefile(s) failed"
+
+ sed -e "s:/usr/lib:${EPREFIX}/usr/$(get_libdir):" \
+ -e "s:/usr/local/lib:${EPREFIX}/usr/local/$(get_libdir):" \
+ -i src/${PN}.h || die "sed ${PN}.h failed"
+
+ default
+}
+
+src_compile() {
+ if use X ; then
+ emake \
+ ${TARGET} \
+ CC="$(tc-getCC)" \
+ STRIP="" \
+ INSTALLROOT="${EPREFIX}/usr" \
+ INCLUDEDIR="${EPREFIX}/usr/include/gkrellm2" \
+ LOCALEDIR="${EPREFIX}/usr/share/locale" \
+ $(usex nls "" "enable_nls=0") \
+ $(usex lm_sensors "" "without-libsensors=yes") \
+ $(usex ntlm "" "without-ntlm=yes") \
+ $(usex ssl $(usex gnutls 'without-ssl=yes' 'without-gnutls=yes') 'without-ssl=yes without-gnutls=yes')
+ else
+ cd server || die
+ emake \
+ ${TARGET} \
+ CC="$(tc-getCC)" \
+ LINK_FLAGS="$LDFLAGS -Wl,-E" \
+ STRIP="" \
+ $(usex nls "" "enable_nls=0") \
+ $(usex lm_sensors "" "without-libsensors=yes")
+ fi
+}
+
+src_install() {
+ if use X ; then
+ emake \
+ install${TARGET:+_}${TARGET} \
+ $(usex nls "" "enable_nls=0") \
+ STRIP="" \
+ INSTALLDIR="${ED}/usr/bin" \
+ INCLUDEDIR="${ED}/usr/include" \
+ LOCALEDIR="${ED}/usr/share/locale" \
+ PKGCONFIGDIR="${ED}/usr/$(get_libdir)/pkgconfig" \
+ MANDIR="${ED}/usr/share/man/man1"
+
+ docinto html
+ dodoc *.html
+
+ newicon src/icon.xpm ${PN}.xpm
+ make_desktop_entry ${PN} GKrellM ${PN}
+ else
+ dobin server/gkrellmd
+
+ insinto /usr/include/gkrellm2
+ doins server/gkrellmd.h
+ doins shared/log.h
+ fi
+
+ newinitd "${FILESDIR}"/gkrellmd.initd gkrellmd
+ newconfd "${FILESDIR}"/gkrellmd.conf gkrellmd
+
+ systemd_dounit "${FILESDIR}"/gkrellmd.service
+
+ insinto /etc
+ doins server/gkrellmd.conf
+
+ einstalldocs
+}
+
+pkg_preinst() {
+ enewgroup gkrellmd
+ enewuser gkrellmd -1 -1 -1 gkrellmd
+}